## libreoffice-l10n 6.2.2

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
if (WIN32)
  message("-- Using win32 threads")
else()
  set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
  set(THREADS_PREFER_PTHREAD_FLAG TRUE)
  find_package(Threads)
endif()
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()

include(GNUInstallDirs)

set(ENABLE_FUZZER FALSE)

find_package (ECM 1.6.0 QUIET NO_MODULE)
if (ECM_FOUND)
    include("${ECM_MODULE_DIR}/ECMEnableSanitizers.cmake")

    if(ECM_ENABLE_SANITIZERS MATCHES fuzzer)
        set(ENABLE_FUZZER TRUE)
    endif()
endif()

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "73")
set(POPPLER_MICRO_VERSION "0")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

set (CMAKE_CXX_STANDARD 14)
set (CMAKE_CXX_EXTENSIONS OFF)

# command line switches
option(ENABLE_UNSTABLE_API_ABI_HEADERS "Install API/ABI unstable xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT5_TESTS "Whether compile the Qt5 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
option(ENABLE_GLIB "Compile poppler glib wrapper." ON)
option(ENABLE_GOBJECT_INTROSPECTION "Whether to generate GObject introspection." ON)
option(ENABLE_GTK_DOC "Whether to generate glib API documentation." OFF)
option(ENABLE_QT5 "Compile poppler qt5 wrapper." ON)
set(ENABLE_LIBOPENJPEG "openjpeg2" CACHE STRING "Use libopenjpeg for JPX streams. Possible values: openjpeg2, unmaintained, none. 'unmaintained' gives you the internal unmaintained decoder. Use at your own risk. 'none' compiles no JPX decoder at all. Default: openjpeg2")
set(ENABLE_CMS "lcms2" CACHE STRING "Use color management system. Possible values: lcms2, none. 'none' disables color management system.")
set(ENABLE_DCTDECODER "libjpeg" CACHE STRING "Use libjpeg for DCT streams. Possible values: libjpeg, unmaintained, none. will use libjpeg if available or fail if not. 'unmaintained' gives you the internal unmaintained decoder. Use at your own risk. 'none' compiles no DCT decoder at all. Default: libjpeg")
option(ENABLE_LIBCURL "Build libcurl based HTTP support." ON)
option(ENABLE_ZLIB "Build with zlib." ON)
option(ENABLE_ZLIB_UNCOMPRESS "Use zlib to uncompress flate streams (not totally safe)." OFF)
option(SPLASH_CMYK "Include support for CMYK rasterization." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
option(BUILD_SHARED_LIBS "Build poppler as a shared library" ON)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else()
  set(ENABLE_RELOCATABLE OFF)
endif()
option(EXTRA_WARN "Enable extra compile warnings" OFF)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
elseif(ANDROID)
  # on android we don't have fontconfig and we don't want window-specific code
  set(_default_fontconfiguration "generic")
else()
  set(_default_fontconfiguration "fontconfig")
endif()
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|generic|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
elseif(font_configuration STREQUAL "generic")
  message(STATUS "no fontconfig or win32 specific code")
else()
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif()

# Enable these unconditionally.
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.41")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif()
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
macro_optional_find_package(NSS3)
if(ENABLE_DCTDECODER STREQUAL "libjpeg")
  if(JPEG_FOUND)
    set(ENABLE_LIBJPEG ${JPEG_FOUND})
  else()
    message(FATAL_ERROR "Install libjpeg before trying to build poppler. You can also decide to use the internal unmaintained DCT decoder or none at all.")
  endif()
  set(HAVE_DCT_DECODER ON)
elseif(ENABLE_DCTDECODER STREQUAL "unmaintained")
  set(ENABLE_LIBJPEG OFF)
  set(HAVE_DCT_DECODER ON)
elseif(ENABLE_DCTDECODER STREQUAL "none")
  set(ENABLE_LIBJPEG OFF)
  set(HAVE_DCT_DECODER OFF)
else()
  message(FATAL_ERROR "Invalid ENABLE_DCTDECODER value.")
endif()

if (ENABLE_QT5)
  find_package(Qt5Core)
  find_package(Qt5Gui)
  find_package(Qt5Xml)
  find_package(Qt5Widgets)
  find_package(Qt5Test)
  if (NOT (Qt5Core_FOUND AND Qt5Gui_FOUND AND Qt5Xml_FOUND AND Qt5Widgets_FOUND AND Qt5Test_FOUND))
    message("-- Package Qt5Core or Qt5Gui or Qt5Xml or Qt5Widgets or Qt5Test not found")
    set(ENABLE_QT5 OFF)
  endif()
endif()

macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  if(ENABLE_GLIB)
    macro_optional_find_package(GLIB)
    if(NOT GLIB_FOUND)
      set(ENABLE_GLIB OFF)
    endif()
  endif()
  if(ENABLE_GLIB)
    if(ENABLE_GOBJECT_INTROSPECTION)
      # Check for introspection
      macro_optional_find_package(GObjectIntrospection 0.9.12)
      set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    endif()
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif()
else()
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
  set(ENABLE_GLIB OFF)
endif()
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif()
if(ENABLE_ZLIB)
  find_package(ZLIB)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif()
if(ENABLE_ZLIB_UNCOMPRESS AND NOT ENABLE_ZLIB)
  message("Warning: ENABLE_ZLIB_UNCOMPRESS requires ENABLE_ZLIB")
  set(ENABLE_ZLIB_UNCOMPRESS FALSE)
endif()
set(WITH_OPENJPEG FALSE)
if(ENABLE_LIBOPENJPEG STREQUAL "openjpeg2")
  find_package(OpenJPEG)
  set(WITH_OPENJPEG ${OpenJPEG_FOUND})
  if(NOT OpenJPEG_FOUND OR OPENJPEG_MAJOR_VERSION VERSION_LESS 2)
    message(FATAL_ERROR "Install libopenjpeg2 before trying to build poppler. You can also decide to use the internal unmaintained JPX decoder or none at all.")
  endif()
  set(HAVE_JPX_DECODER ON)
elseif(ENABLE_LIBOPENJPEG STREQUAL "unmaintained")
  set(WITH_OPENJPEG OFF)
  set(HAVE_JPX_DECODER ON)
elseif(ENABLE_LIBOPENJPEG STREQUAL "none")
  set(WITH_OPENJPEG OFF)
  set(HAVE_JPX_DECODER OFF)
else()
  message(FATAL_ERROR "Invalid ENABLE_LIBOPENJPEG value: ${ENABLE_LIBOPENJPEG}")
endif()
set(ENABLE_LIBOPENJPEG "${WITH_OPENJPEG}")
if(ENABLE_CMS STREQUAL "lcms2")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
elseif(NOT ENABLE_CMS STREQUAL "none")
  message(FATAL_ERROR "Invalid ENABLE_CMS value: ${ENABLE_CMS}")
endif()
if(ENABLE_LIBCURL)
  find_package(CURL)
  if(CURL_FOUND)
    include_directories(${CURL_INCLUDE_DIR})
    set(POPPLER_HAS_CURL_SUPPORT ON)
  else()
    set(ENABLE_LIBCURL OFF)
  endif()
endif()

if(MINGW)
  # Use mingw's ansi stdio extensions
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
endif()
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif()
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif()
endif()
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif()

if (NSS3_FOUND)
  add_definitions(${NSS3_CFLAGS})
  set(ENABLE_NSS3 ON)
endif()
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
endif()
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif()
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif()
if(OpenJPEG_FOUND)
  include_directories(${OPENJPEG_INCLUDE_DIRS})
endif()
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif()

# Recent versions of poppler-data install a .pc file.
# Use it to determine the encoding data path, if available.
# Default to the same prefix otherwise.
pkg_check_modules(POPPLER_DATA poppler-data)
if(POPPLER_DATA_FOUND)
  execute_process(COMMAND "${PKG_CONFIG_EXECUTABLE}" --variable=poppler_datadir poppler-data
                  RESULT_VARIABLE _result_var
                  OUTPUT_VARIABLE _output_var OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
    set(POPPLER_DATADIR "${_output_var}")
  endif()
endif()
if(NOT DEFINED POPPLER_DATADIR)
  set(POPPLER_DATADIR "${CMAKE_INSTALL_PREFIX}/share/poppler")
endif()

if(EXTRA_WARN)
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_EXTRA} ${CMAKE_CXX_FLAGS}")
else()
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS} ${CMAKE_CXX_FLAGS}")
endif()

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)

set(poppler_SRCS
  goo/gfile.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/FixedPoint.cc
  goo/NetPBMWriter.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  goo/grandom.cc
  goo/glibc.cc
  goo/glibc_strtok_r.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/Hints.cc
  poppler/JArithmeticDecoder.cc

=== cpp/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${ICONV_INCLUDE_DIR}
)

configure_file(poppler-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h @ONLY)

add_subdirectory(tests)

set(poppler_cpp_SRCS
  poppler-document.cpp
  poppler-embedded-file.cpp
  poppler-font.cpp
  poppler-global.cpp
  poppler-image.cpp
  poppler-page.cpp
  poppler-page-renderer.cpp
  poppler-page-transition.cpp
  poppler-private.cpp
  poppler-rectangle.cpp
  poppler-toc.cpp
  poppler-version.cpp
)

add_library(poppler-cpp ${poppler_cpp_SRCS})
set_target_properties(poppler-cpp PROPERTIES VERSION 0.6.0 SOVERSION 0)
if(MINGW AND BUILD_SHARED_LIBS)
    get_target_property(POPPLER_CPP_SOVERSION poppler-cpp SOVERSION)
    set_target_properties(poppler-cpp PROPERTIES SUFFIX "-${POPPLER_CPP_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
endif()
target_link_libraries(poppler-cpp poppler ${ICONV_LIBRARIES})
install(TARGETS poppler-cpp RUNTIME DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
  poppler-document.h
  poppler-embedded-file.h
  poppler-font.h
  poppler-global.h
  poppler-image.h
  poppler-page.h
  poppler-page-renderer.h
  poppler-page-transition.h
  poppler-rectangle.h
  poppler-toc.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h
  DESTINATION include/poppler/cpp)

=== qt5/src/CMakeLists.txt ===
add_definitions(${QT5_DEFINITIONS})
add_definitions(${Qt5Core_DEFINITIONS})
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${Qt5Core_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

configure_file(poppler-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h @ONLY)

set(poppler_qt5_SRCS
  poppler-annotation.cc
  poppler-document.cc
  poppler-embeddedfile.cc
  poppler-fontinfo.cc
  poppler-form.cc
  poppler-link.cc
  poppler-link-extractor.cc
  poppler-movie.cc
  poppler-optcontent.cc
  poppler-page.cc
  poppler-base-converter.cc
  poppler-pdf-converter.cc
  poppler-private.cc
  poppler-ps-converter.cc
  poppler-qiodeviceoutstream.cc
  poppler-sound.cc
  poppler-textbox.cc
  poppler-page-transition.cc
  poppler-media.cc
  ArthurOutputDev.cc
  poppler-version.cpp
)
add_library(poppler-qt5 ${poppler_qt5_SRCS})
set_target_properties(poppler-qt5 PROPERTIES VERSION 1.18.0 SOVERSION 1)
if(MINGW AND BUILD_SHARED_LIBS)
    get_target_property(POPPLER_QT5_SOVERSION poppler-qt5 SOVERSION)
    set_target_properties(poppler-qt5 PROPERTIES SUFFIX "-${POPPLER_QT5_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
endif()
target_link_libraries(poppler-qt5 poppler ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Qt5Xml_LIBRARIES} ${FREETYPE_LIBRARIES})
if(MSVC)
target_link_libraries(poppler-qt5 poppler ${poppler_LIBS})
endif()
install(TARGETS poppler-qt5 RUNTIME DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
  poppler-qt5.h
  poppler-link.h
  poppler-annotation.h
  poppler-form.h
  poppler-optcontent.h
  poppler-export.h
  poppler-page-transition.h
  poppler-media.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h
  DESTINATION include/poppler/qt5)

=== debian/changelog ===
libreoffice-l10n (1:6.2.2-0ubuntu2) disco; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/java.vendor-Debian.diff: make jvmfwk recognize "Debian"
    as java.vendor as that's what is set in openjdk 11 >= 11.0.3+4-2
    - see #926009 (closes: #926318)

  [ Olivier Tilloy ]
  * debian/patches/java.vendor-Ubuntu.patch: also make jvmfwk recognize
    "Ubuntu" as java.vendor (LP: #1822839)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 04 Apr 2019 11:23:38 +0200

libreoffice-l10n (1:6.2.2-0ubuntu1) disco; urgency=medium

  * New upstream release

  [ Rene Engelhard ]
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 24 Mar 2019 22:44:21 +0100

libreoffice-l10n (1:6.2.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Mar 2019 19:42:19 +0100

libreoffice-l10n (1:6.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Mar 2019 23:18:41 +0100

libreoffice-l10n (1:6.2.1-0ubuntu1) disco; urgency=medium

  * New upstream release

  * debian/tests/control: relax the !s390x conditional dependency on
    libreoffice-sdbc-firebird, now that it is also built there (LP: #1790165)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Mar 2019 19:25:54 +0100

libreoffice-l10n (1:6.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/control.in:
    - move -sdbc-hsqldb from Recommends to Suggests given LO now defaults
      to firebird and there's a hsqldb->firebird migration running

  * merge from Ubuntu:
    - debian/rules: call dh_shlibdeps with absolute paths
    - tests/control: add allow-stderr restriction to test-extension{,-shared}.
      unopkg now prints out more errors, and it does so on stderr by default.

 -- Rene Engelhard <rene@debian.org>  Tue, 26 Feb 2019 22:37:42 +0100

libreoffice-l10n (1:6.2.1~rc1-0ubuntu3) disco; urgency=medium

  * patches/fix-uicheck-tests-on-i386.patch: fix rounding errors on i386

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 25 Feb 2019 23:41:28 +0100

libreoffice-l10n (1:6.2.1~rc1-0ubuntu2) disco; urgency=medium

  * tests/control: add allow-stderr restriction to test-extension{,-shared}.
    unopkg now prints out more errors, and it does so on stderr by default.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Feb 2019 12:23:55 +0100

libreoffice-l10n (1:6.2.1~rc1-0ubuntu1) disco; urgency=medium

  * New upstream rc release

  * new packages:
    - libreoffice-style-karasa-jaga (contains the Karasa Jaga symbol style)
    - libreoffice-sdbc-mysql (replaces libreoffice-mysql-connector)
    - libreoffice-help-id (help files for Indonesian)
  * removed packages:
    - libreoffice-ogltrans (merged in libreoffice-impress)

  [ Olivier Tilloy ]
  * patches/add-lxqt-support.patch: removed, now upstream
  * patches/mysql-80-compatibility.patch: added to fix FTBFS against MySQL 8.0
  * debian/rules: call dh_shlibdeps with absolute paths

  [ Rico Tzschichholz ]
  * control.in:
    - demote libreoffice-sdbc-firebird to Suggests
    - recommend fonts-noto-* as it is in main
  * control{,.transitionals}.in: bump Breaks/Replaces against
    libreoffice-ogltrans to << 1:6.2.0~beta1~
  * control.transitionals.in: do not make transitional
    libreoffice-mysql-connector arch-specific
  * rules:
    - use --disable-build-opensymbol for tarball creation
    - update the postgresql tarball name
  * patches/kde5-32bit-build-fix.diff: added to fix KDE5 VCL build on 32 bit
    architectures
  * tests/control: mark pyuno-import, uno-import, test-extension,
    test-extension-shared, dk/util/check.pl and apparmor tests as superficial

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 19 Feb 2019 11:56:44 +0100

libreoffice-l10n (1:6.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - enable id help (closes: #922187)

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Feb 2019 07:31:09 +0100

libreoffice-l10n (1:6.2.0-2) experimental; urgency=medium

  * patches/emfio-HAVE_MORE_FONTS.diff: add two more #if HAVE_MORE_FONTS
    to disable those tests (Calibri and Arial not necessarily present)
  * debian/rules: readd font build-dependencies since stuff apparently still
    rely on them (and vcl even abort()s if no fonts are installed)

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Feb 2019 20:26:09 +0100

libreoffice-l10n (1:6.2.0-1) experimental; urgency=medium

  * New upstream release

  * debian/patches/jdk-11.0.2-javadoc.diff: backport from master
    (closes: #920331)
  * debian/patches/tdf123077.diff: add from libreoffice-6-1 branch
    (closes: #920859)

  * debian/patches/aarch64-temporarily-disable-testgetCaughtException.diff:
    remove again ...
  * debian/patches/aarch64-call-__cxa_current_exception_type.diff: ... and
    replace with this (from master)

  * debian/control.transitionals.in: revert making libreoffice-mysql-connector
    'all'
  * debian/libreoffice-mysql-connector.maintscript: remove
    $DPKG_MAINTSCRIPT_PACKAGE and use -core instead of -common.
  (closes: #919298)
  * debian/control.kde*.in: Replaces: libreoffice-kde (<< 1:6.1.0~alpha1-1)
    (closes: #919103)
  * debian/rules:
    - add mesa-opencl-icd | beignet-opencl-icd as alternatives to
      ocl-icd-libopencl1
  * debian/control.in: recommend fonts-noto-{,ui}-core instead of transitional
    fonts-noto-hinted (closes: #920960)
  * debian/rules, debian/scripts/locale-gen: revert removal, still needed e.g.
    for sw_odfexports testSpellOutNumberingTypes::Import which hangs otherwise

  [ Vincas Dargis ]
  * debian/patches/apparmor-opencl.diff: Include OpenCL abstractions to fix
    OpenCL usage in Calc



=== debian/control ===
Source: libreoffice-l10n
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: autoconf, automake, bc, bison, bzip2, flex (>= 2.3.35), fontforge-nox | fontforge, gperf, libc0.1 (>= 2.10.2-7) [kfreebsd-any], libcups2-dev, libfontconfig1-dev, libfreetype6-dev (>= 2.2.0), libgl1-mesa-dev, libice-dev, libsm-dev, libx11-dev, libxaw7-dev, libxext-dev, libxinerama-dev, libxkbfile-dev, libxrender-dev, libxt-dev, libxtst-dev, pkg-config, unzip, x11proto-render-dev, xsltproc, zip, zlib1g-dev  , binutils (>= 2.23) [mips mipsel], libc6 (>= 2.17-6) [mips mipsel] , gcc (>= 4:7) [m68k], g++ (>= 4:7) [m68k] , libpoppler-dev (>= 0.12.0), libpoppler-private-dev, libpoppler-cpp-dev , libgraphite2-dev (>= 0.9.3) , libharfbuzz-dev (>= 0.9.42) , libexttextcat-dev (>= 3.4.1) , libjpeg-dev , libxml2-dev (>= 2.8), libxml2-utils , libxslt1-dev , libxmlsec1-dev (>= 1.2.24) , libexpat1-dev , unixodbc-dev (>= 2.2.11) , libsane-dev , libpng-dev , libcurl4-gnutls-dev , python3 , python3-dev (>= 3.3) <!nopython> , python3-distutils <!nopython> , dh-python <!nopython> , python3-lxml <!nocheck !nopython> , debhelper (>= 10) , dpkg-dev (>= 1.18.2~) , locales [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , gdb [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , fontconfig [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , fonts-liberation2 [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , fonts-crosextra-carlito [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , fonts-dejavu [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , libcppunit-dev (>= 1.14) [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , pstoedit [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , imagemagick [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , ghostscript [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , hunspell-en-us [!kfreebsd-amd64 !kfreebsd-i386] <!nocheck> , junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck> , maven-repo-helper , java-common (>= 0.61) , default-jdk (>= 1:1.6) [!hppa !s390 !sparc !hurd-i386 !i386] , default-jdk (>= 2:1.9) [i386] , default-jdk (>= 1:1.7-48) [ia64] , default-jdk (>= 2:1.7-52.1) [kfreebsd-any] , default-jdk (>= 2:1.8-55) [sparc64] , ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc], ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc] , libcommons-logging-java [!hppa !mips64 !s390 !sparc] , javahelper (>= 0.37~) , libnss3-dev (>= 3.12.3) , libnspr4-dev , ucpp , libhunspell-dev (>= 1.1.5-2) , libhyphen-dev (>= 2.4) , libboost-dev (>= 1.58), libboost-date-time-dev (>= 1.58), libboost-iostreams-dev (>= 1.58), libboost-filesystem-dev (>= 1.58), libboost-locale-dev (>= 1.58) , libmdds-dev (>= 1.4.1) , liborcus-dev (>= 0.14.0+really0.14.0) , libclucene-dev (>= 2.3.3.4-4.1) , librevenge-dev , libwpd-dev (>= 0.10) , libmythes-dev (>= 2:1.2) , libwps-dev (>= 0.4) , libwps-dev (>= 0.4.9) <!nocheck> , libwpg-dev (>= 0.3) , libvisio-dev (>= 0.1) , libcdr-dev (>= 0.1) , libmspub-dev (>= 0.1) , libmwaw-dev (>= 0.3.1) , libmwaw-dev (>= 0.3.13) <!nocheck> , libodfgen-dev (>= 0.1) , libepubgen-dev (>= 0.1.0) , libetonyek-dev , libetonyek-dev (>= 0.1.8) <!nocheck> , libfreehand-dev (>= 0.1) , libabw-dev (>= 0.1) , libpagemaker-dev , libe-book-dev , libe-book-dev (>= 0.1.2) <!nocheck> , libcmis-dev (>= 0.5.0-3) , dh-apparmor , apparmor <!nocheck> , libeot-dev , liblcms2-dev , libldap2-dev , liblangtag-dev (>= 0.4) , libicu-dev (>= 52) , libcairo2-dev , libkf5coreaddons-dev, libkf5i18n-dev, libkf5config-dev, libkf5windowsystem-dev, libkf5kio-dev , libqt5x11extras5-dev (>= 5.6) , libxcb1-dev , qtbase5-dev (>= 5.6), qt5-qmake (>= 5.6), qtbase5-dev-tools (>= 5.6) , libglib2.0-dev (>= 2.4) , qtchooser , default-libmysqlclient-dev , firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc] , firebird3.0-server-core  [!hppa !mips64 !s390 !sparc] <!nocheck> , libgtk2.0-dev (>= 2.18.0) , libgtk-3-dev (>= 3.18.0), libglib2.0-dev (>= 2.38.0) , gobject-introspection (>= 1.32.0), libgirepository1.0-dev (>= 1.32) , libebook1.2-dev , libpq-dev (>= 9.0~) , libxrandr-dev , libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc], libarchive-zip-perl [!hppa !mips64 !s390 !sparc] , liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1) , libsuitesparse-dev (>= 1:3.4.0) , libdbus-1-dev (>= 0.60) , libglib2.0-dev (>= 2.4) , libbluetooth-dev [linux-any] , libavahi-client-dev , libgstreamer1.0-dev , libgstreamer-plugins-base1.0-dev , libneon27-gnutls-dev , librdf0-dev (>= 1.0.16-2) , libepoxy-dev (>= 1.2) , libglm-dev (>= 0.9.9~a2) , libgpgmepp-dev, libgpgme-dev, libgpg-error-dev , gpg <!nocheck> , gpgconf <!nocheck> , gpg-agent <!nocheck> , libdconf-dev (>= 0.15.2),
Build-Depends-Indep: fdupes, imagemagick, xml-core, rdfind, symlinks , doxygen (>= 1.8.4) <!nodoc>, graphviz <!nodoc> , gettext , libbsh-java
Standards-Version: 3.9.4
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
Homepage: http://www.libreoffice.org

Package: libreoffice-l10n-af
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
Recommends: libreoffice-core (>> ${base-version}) 
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-af | myspell-dictionary-af,
          hyphen-af,
          libreoffice-grammarcheck-af,
          libreoffice-help-af,
          mythes-af
Description: office productivity suite -- Afrikaans language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Afrikaans.
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages).
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-am
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
Recommends: libreoffice-core (>> ${base-version}) 
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-am | myspell-dictionary-am,
          hyphen-am,
          libreoffice-grammarcheck-am,
          libreoffice-help-am,
          mythes-am
Description: office productivity suite -- Amharic language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Amharic.
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages).
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-ar
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
Recommends: libreoffice-core (>> ${base-version}) , fonts-kacst, fonts-hosny-amiri, fonts-sil-scheherazade
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-ar | myspell-dictionary-ar,
          hyphen-ar,
          libreoffice-grammarcheck-ar,
          libreoffice-help-ar,
          mythes-ar
Description: office productivity suite -- Arabic language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Arabic.
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages).
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-as
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales (>= 2.3.6.ds1-1) | locales-all (>= 2.3.6.ds1-1)
Recommends: libreoffice-core (>> ${base-version}) 
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-as | myspell-dictionary-as,
          hyphen-as,
          libreoffice-grammarcheck-as,
          libreoffice-help-as,
          mythes-as
Description: office productivity suite -- Assamese language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Assamese.
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages).
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-ast
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
Recommends: libreoffice-core (>> ${base-version}) 
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-ast | myspell-dictionary-ast,
          hyphen-ast,
          libreoffice-grammarcheck-ast,
          libreoffice-help-ast,
          mythes-ast
Description: office productivity suite -- Asturian language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Asturian.
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages).
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-be
Section: localization
Architecture: all
Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
Recommends: libreoffice-core (>> ${base-version}) 
Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
Suggests: hunspell-dictionary-be | myspell-dictionary-be,

=== debian/rules ===
#!/usr/bin/make -f
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
include $(CURDIR)/debian/config
#dpkg-info
dpkg_late_eval ?= $(or $(value DPKG_CACHE_$(1)),$(eval DPKG_CACHE_$(1) := $(shell $(2)))$(value DPKG_CACHE_$(1)))
DEB_SOURCE = $(call dpkg_late_eval,DEB_SOURCE,awk '/^Source: / { print $$2 }' debian/control)
DEB_VERSION = $(call dpkg_late_eval,DEB_VERSION,dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
DEB_VERSION_EPOCH_UPSTREAM = $(call dpkg_late_eval,DEB_VERSION_EPOCH_UPSTREAM,echo '$(DEB_VERSION)' | sed -e 's/-[^-]*$$//')
DEB_VERSION_UPSTREAM_REVISION = $(call dpkg_late_eval,DEB_VERSION_UPSTREAM_REVISION,echo '$(DEB_VERSION)' | sed -e 's/^[0-9]*://')
DEB_VERSION_UPSTREAM = $(call dpkg_late_eval,DEB_VERSION_UPSTREAM,echo '$(DEB_VERSION_EPOCH_UPSTREAM)' | sed -e 's/^[0-9]*://')
DEB_DISTRIBUTION = $(call dpkg_late_eval,DEB_DISTRIBUTION,dpkg-parsechangelog | sed -n -e 's/^Distribution: //p')
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
HELP_L10N_VIRTUAL_VERSION:=6.2
OOVER:=6.2
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash
export gb_SHELL:=$(SHELL)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSHAREDIR:=usr/share/$(OODIRNAME)
OOUREDIR:=usr/lib/ure
OOSDKDIR:=$(OODIR)/sdk


# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION

export QT_SELECT=5

BUILDDEB_OPTIONS ?= -- -Zxz

export DPKG_EXPORT_BUILDFLAGS=y 
include /usr/share/dpkg/buildflags.mk

clean:
	dh_testroot
	dh_testdir
	if [ -f config.status ]; then \
		$(MAKE) distclean; \
		rm -f config.status; \
	fi
	rm -rf $(SOURCE_TREE)/file-lists
	rm -f autogen.lastrun
	rm -f config/config_version.h
	dh_clean

prepare: $(STAMP_DIR)/prepare
$(STAMP_DIR)/prepare:
	dh_testdir
	mkdir -p $(STAMP_DIR)
	touch $@

build-indep: $(STAMP_DIR)/prepare $(STAMP_DIR)/build-indep
$(STAMP_DIR)/build-indep:
	dh_testdir
	./autogen.sh \
		$(patsubst --with-jdk-home=%,--with-jdk-home=/usr/lib/jvm/default-java,\
			$(patsubst --with-boost-libdir=%,--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH),$(CONFIGURE_FLAGS))) \
		--with-help \
		$(CONFIGURE_FLAGS_LANG)
	TMP=`mktemp -q -d` \
		$(MAKE) build-l10n-only && \
		$(MAKE) cmd cmd='make -f Makefile.gbuild $${WORKDIR}/CustomTarget/readlicense_oo/readme/README_en-US'
	touch $@

install-indep: $(STAMP_DIR)/install-indep
$(STAMP_DIR)/install-indep:
	dh_testdir
	dh_testroot
	rm -rf $(PKGDIR)-help-* $(PKGDIR)-l10n-*
	make packageinfo
	$(foreach iso,$(filter-out en-US ca-valencia kmr-Latn sr-Latn,$(LANGPACKISOS)),\
		make install-package-l10n-$(iso) INSTALLDIR=$(PKGDIR)-l10n-`echo $(iso)|tr A-Z a-z`/$(OODIR) &&) true
ifneq (,$(filter ca-valencia,$(LANGPACKISOS)))
	make install-package-l10n-ca-valencia INSTALLDIR=$(PKGDIR)-l10n-ca/$(OODIR)
endif
ifneq (,$(filter kmr-Latn,$(LANGPACKISOS)))
	make install-package-l10n-kmr-Latn INSTALLDIR=$(PKGDIR)-l10n-kmr/$(OODIR)
endif
ifneq (,$(filter sr-Latn,$(LANGPACKISOS)))
	make install-package-l10n-sr-Latn INSTALLDIR=$(PKGDIR)-l10n-sr/$(OODIR)
endif
ifneq (,$(filter sk,$(HELPISOS)))
	# prepopulate sk help from cz
	make install-package-help-cz INSTALLDIR=$(PKGDIR)-help-sk/$(OOSHAREDIR)
endif
	$(foreach iso,$(filter-out ca-valencia kmr-Latn sr-Latn,$(HELPISOS)),\
		make install-package-help-$(iso) INSTALLDIR=$(PKGDIR)-help-`echo $(iso)|tr A-Z a-z`/$(OOSHAREDIR) &&) true
	# and ca-valencia in -ca...
ifneq (,$(filter ca-valencia,$(HELPISOS)))
	make install-package-help-ca-valencia INSTALLDIR=$(PKGDIR)-help-ca/$(OOSHAREDIR)
endif
ifneq (,$(filter kmr-Latn,$(HELPISOS)))
	make install-package-help-kmr-Latn INSTALLDIR=$(PKGDIR)-help-kmr/$(OOSHAREDIR)
endif
ifneq (,$(filter sr-Latn,$(HELPISOS)))
	make install-package-help-sr-Latn INSTALLDIR=$(PKGDIR)-help-sr/$(OOSHAREDIR)
endif
	for PKG in $(ARCH_INDEP_PACKAGES); do \
		cat debian/changelog \
		| sed -e '/^openoffice/,$$d' \
		> debian/$$PKG.changelog; \
	done
	touch $@

binary-indep: $(STAMP_DIR)/binary-indep
$(STAMP_DIR)/binary-indep: $(STAMP_DIR)/install-indep
	dh_testdir
	dh_testroot
	# install technical.dic
	for iso in $(LANGPACKISOS); do \
		if [ "$$iso" = "en-US" ]; then pkg=common; \
		elif [ "$$iso" = "ca-valencia" ]; then pkg=l10n-ca; \
		elif [ "$$iso" = "sr-Latn" ]; then pkg=l10n-sr; \
		elif [ "$$iso" = "kmr-Latn" ]; then pkg=l10n-kmr; \
		else pkg=l10n-`echo $$iso | tr A-Z a-z`; \
		fi; \
		mkdir -p $(PKGDIR)-$$pkg/$(OODIR)/share/wordbook/$$iso; \
		install -m644 $(SOURCE_TREE)/extras/source/wordbook/technical.dic \
			$(PKGDIR)-$$pkg/$(OODIR)/share/wordbook/$$iso/technical.dic; \
	done

ifeq "$(DEB_VENDOR)" "Debian"
	# install Debian presentation template
	otps=`cd debian/templates; echo *.otp`; \
	for iso in $(LANGPACKISOS); do \
	  [ "$$iso" = "en-US" ] && continue; \
	  pkgiso=`echo $$iso | tr \[:upper:\] \[:lower:\]`; \
	  [ "$$pkgiso" = "ca-xv" ] && pkgiso=ca; \
	  mkdir -p $(PKGDIR)-l10n-$$pkgiso/$(OODIR)/share/template/$$iso/presnt; \
	  for otp in $$otps; do \
	    ln -sf ../../en-US/presnt/$$otp \
	    $(PKGDIR)-l10n-$$pkgiso/$(OODIR)/share/template/$$iso/presnt/$$odt; \
	  done; \
	done
endif

ifeq (he,$(findstring he,$(LANGPACKISOS)))
	perl -pi -e 's#<prop oor:name="CTLSequenceChecking"><value>true</value></prop>#<prop oor:name="CTLSequenceChecking"><value>false</value></prop>#' $(PKGDIR)-l10n-he/$(OODIR)/share/registry/ctl_he.xcd
endif
	rm -rf $(foreach pkg,$(ARCH_INDEP_PACKAGES),debian/$(pkg).*.debhelper debian/$(pkg)/DEBIAN )

	dh_installdocs -i -A 
	for p in $(ARCH_INDEP_PACKAGES); do \
		mkdir -p debian/$$p/usr/share/doc/$$p; \
		cp workdir/CustomTarget/readlicense_oo/readme/README_en-US \
			debian/$$p/usr/share/doc/$$p/README; \
	done 
	dh_installchangelogs -i -k
	dh_compress
	dh_lintian -i
	dh_bugfiles -i -A
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i $(DEBHELPER_OPTIONS) -- \
		-V'base-version=$(BASE_VERSION)' \
		-V'oover=$(OOVER)' \
		-V'next-oover=$(NEXT_OOVER)' \
		-V'help-depends=$(HELP_DEPENDS)' \
		-V'help-l10n-virtual-version=$(HELP_L10N_VIRTUAL_VERSION)' \
		-v$(BINARY_VERSION)
	dh_md5sums -i
	dh_builddeb -i $(DEBHELPER_OPTIONS) $(BUILDDEB_OPTIONS)
	touch $@

build: build-indep
	true
check:
	true
binary: binary-indep
	true
install: install-indep
	true

.PHONY: clean prepare
.PHONY: build build-indep
.PHONY: install install-indep

# vim:set noet ai sts=8 sw=8 tw=0:
